{
    "name": "drutopia-platform/gbclt",
    "description": "Website for the Gertrude Brown Community Land Trust",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "minimum-stability": "dev",
    "prefer-stable": true,
    "homepage": "https://gbclt.org",
    "support": {
        "docs": "http://docs.drutopia.org/en/latest",
        "issues": "https://gitlab.com/drutopia/drutopia/-/issues"
    },
    "repositories": {
	"drupal/search_api_entity_multiselect": {
            "type": "git",
            "url": "https://codeberg.org/agaric/search_api_entity_multiselect.git"
        },
        "drupal": {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    },
    "require": {
        "composer/installers": "^2",
        "cweagans/composer-patches": "^1.7",
        "drupal/admin_toolbar": "^3",
        "drupal/allowed_formats": "^2",
        "drupal/antibot": "^2",
        "drupal/asset_injector": "^2",
        "drupal/auto_entitylabel": "^3.0@beta",
        "drupal/backup_migrate": "^5",
        "drupal/better_exposed_filters": "^6",
        "drupal/block_class": "^2",
        "drupal/bpmn_io": "^1",
        "drupal/cancel_button": "^1",
        "drupal/ckeditorheight": "^1",
        "drupal/classitup": "^1",
        "drupal/comment_notify": "^1",
        "drupal/content_lock": "^2",
        "drupal/context_stack": "^1",
        "drupal/convert_bundles": "^2",
        "drupal/core-composer-scaffold": "^10",
        "drupal/core-recommended": "^10",
        "drupal/csp": "^1",
        "drupal/customerror": "^1",
        "drupal/dashboards": "^2",
        "drupal/date_popup": "^2",
        "drupal/datetimehideseconds": "^1",
        "drupal/diff": "^1",
        "drupal/drd_agent": "^4",
        "drupal/dropdown_language": "^4",
        "drupal/drutopia_collection": "2.0.x-dev@dev",
        "drupal/drutopia_core": "2.0.x-dev@dev",
        "drupal/drutopia_organization": "2.0.x-dev@dev",
        "drupal/drutopia_paragraph_title": "^1",
        "drupal/drutopia_site": "2.0.x-dev@dev",
        "drupal/easy_breadcrumb": "^2",
        "drupal/eca": "^1",
        "drupal/eca_context": "^1.0",
        "drupal/editor_advanced_link": "^2.0",
        "drupal/editoria11y": "^2",
        "drupal/email_registration": "^1",
        "drupal/entity_notify": "^1",
        "drupal/entity_reference_override": "^2",
        "drupal/entitygroupfield": "^2",
        "drupal/environment_indicator": "^4",
        "drupal/eva": "^3",
        "drupal/exif_orientation": "^1",
        "drupal/facets": "dev-3.0.x as 2.0.x-dev",
        "drupal/feeds": "^3",
        "drupal/feeds_ex": "^1",
        "drupal/feeds_ical": "^2",
        "drupal/field_defaults": "^2",
        "drupal/field_formatter_class": "^1",
        "drupal/field_token_value": "^3",
        "drupal/filter_perms": "^1",
        "drupal/fitvids": "^2",
        "drupal/fixed_block_content": "^1",
        "drupal/flag": "^4",
        "drupal/footnotes": "^3",
        "drupal/fullcalendar_view": "^5",
        "drupal/geolocation": "^3",
        "drupal/gin": "^3",
        "drupal/gin_gutenberg": "^1",
        "drupal/gin_login": "^2",
        "drupal/gin_toolbar": "^1",
        "drupal/google_analytics": "^4",
        "drupal/gutenberg": "^2",
        "drupal/http_cache_control": "^2",
        "drupal/http_client_error_status": "^3",
        "drupal/ief_complex_open": "^1",
        "drupal/indieweb": "^1",
        "drupal/inline_entity_form": "^1.0@RC",
        "drupal/inotherwords": "^3",
        "drupal/insert": "^3",
        "drupal/key": "^1.14",
        "drupal/link_attributes": "^1.9",
        "drupal/linkit": "^6",
        "drupal/mail_login": "^2.7",
        "drupal/markdown": "^3",
        "drupal/menu_item_extras": "^2.19",
        "drupal/menu_link_config": "^1.0@alpha",
        "drupal/menu_trail_by_path": "^2",
        "drupal/microformats": "^2",
        "drupal/migrate_plus": "^6",
        "drupal/migrate_source_csv": "^3",
        "drupal/migrate_tools": "^6",
        "drupal/migrate_upgrade": "^4",
        "drupal/minimalhtml": "^2",
        "drupal/multiparagraph_flow": "^1",
        "drupal/node_view_permissions": "^1.4",
        "drupal/noreferrer": "^1",
        "drupal/notfoundpassthrough": "1.x-dev",
        "drupal/octavia": "2.0.x-dev@dev",
        "drupal/octavia_camouflage": "2.0.x-dev@dev",
        "drupal/paragraphs_features": "^2",
        "drupal/password_policy": "^4",
        "drupal/plausible": "^2.0@beta",
        "drupal/prepopulate": "^2",
        "drupal/preview_link": "^2",
        "drupal/printable": "^3",
        "drupal/r4032login": "^2",
        "drupal/rabbit_hole": "^1.0@beta",
        "drupal/regionincontent": "^1",
        "drupal/registration_role": "^2",
        "drupal/require_on_publish": "^1",
        "drupal/role_delegation": "^1",
        "drupal/scheduler": "^1",
        "drupal/schema_metatag": "^2",
        "drupal/scn": "^2",
        "drupal/search404": "^2",
        "drupal/search_api_autocomplete": "^1.6",
        "drupal/search_api_entity_multiselect": "1.0.x-dev",
        "drupal/search_api_saved_searches": "^1",
        "drupal/seckit": "^2.0",
        "drupal/select_or_other": "^4.0",
        "drupal/shield": "^1.4",
        "drupal/smart_date": "^4.0",
        "drupal/sms": "^2.0",
        "drupal/social_post_facebook": "3.0.x-dev@dev",
        "drupal/social_post_twitter": "3.x-dev@dev",
        "drupal/stringoverrides": "^1.8",
        "drupal/subpathauto": "^1.0@RC",
        "drupal/taxonomy_import": "^2",
        "drupal/taxonomy_manager": "^2",
        "drupal/textarea_widget_for_text": "^1.1",
        "drupal/tomselect": "1.0.x-dev@dev",
        "drupal/trim": "^2",
        "drupal/twig_tweak": "^3.2",
        "drupal/twigsuggest": "^1",
        "drupal/ui_patterns": "^1",
        "drupal/unique_content_field_validation": "^1.1",
        "drupal/view_password": "^6",
        "drupal/view_unpublished": "^1.0",
        "drupal/views_daterange_filters": "^1.0@alpha",
        "drupal/views_field_compare": "^1.0@beta",
        "drupal/viewsreference": "^1",
        "drupal/webform": "^6.0",
        "drupal/weight": "^3.3",
        "drupal/workflow_buttons": "1.x-dev",
        "drupal/wysiwyg_linebreaks": "^2",
        "drush/drush": "*",
        "drutopia/drutopia": "2.0.x-dev",
        "league/commonmark": "^1.0",
        "vlucas/phpdotenv": "^5.1",
        "webflo/drupal-finder": "^1.2"
    },
    "require-dev": {
        "behat/behat": "^3.4",
        "behat/mink": "^1.7",
        "drupal/upgrade_status": "^4"
    },
    "config": {
        "sort-packages": true,
        "process-timeout": 600,
        "allow-plugins": {
            "composer/installers": true,
            "cweagans/composer-patches": true,
            "drupal/core-composer-scaffold": true,
            "drupal/core-project-message": false
        }
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            },
            "allowed-packages": [
                "drupal/ui_patterns"
            ]
        },
        "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/contrib/{$name}": ["type:drupal-module"],
            "web/profiles/contrib/{$name}": ["type:drupal-profile"],
            "web/themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/Commands/contrib/{$name}": ["type:drupal-drush"],
            "web/modules/custom/{$name}": ["type:drupal-custom-module"],
            "web/themes/custom/{$name}": ["type:drupal-custom-theme"]
        },
        "merge-plugin": {
            "include": [
                "web/modules/contrib/webform/composer.libraries.json"
            ]
        },
        "enable-patching": true,
        "patches": {
            "drupal/core": {
                "Adding attributes to views-view-list.html.twig doesn't work if Views List class Style option is empty": "https://www.drupal.org/files/issues/2023-03-16/2845400-24.patch",
                "Use form element of type date instead textfield when selecting a date in an exposed filter": "https://www.drupal.org/files/issues/2021-12-01/2648950-257.patch",
                "Views Date Filter Datetime Granularity Option": "https://www.drupal.org/files/issues/2021-04-27/2868014-110-after-2648950-247-applied.patch",
                "Entity reference filter for all entity reference fields 3347343": "https://git.drupalcode.org/project/drupal/-/merge_requests/4053.diff"
            },
            "drupal/ds": {
                "Parent theme template inheritance bug": "https://www.drupal.org/files/issues/2021-02-22/2895316-12.patch"
            },
            "drupal/unique_content_field_validation": {
                "Overriden title field" : "https://www.drupal.org/files/issues/2023-01-05/unique-validation-title-override.patch"
            }
        }
    },
    "scripts": {
        "nuke": "rm -rf vendor web/core web/modules/contrib web/profiles/contrib drush/contrib",
        "pull": "scripts/pull.sh",
        "quick-start": [
            "composer install",
            "php docroot/core/scripts/drupal quick-start drutopia --no-interaction"
        ],
        "post-drupal-scaffold-cmd": "scripts/retain-custom-htaccess.sh"
    }
}
